Package com.pixelmed.test

## Class TestSourceOfDoseInformation

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - com.pixelmed.test.TestSourceOfDoseInformation

- All Implemented Interfaces:
    `junit.framework.Test`

      public class TestSourceOfDoseInformation
      extends junit.framework.TestCase

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TestSourceOfDoseInformation​(java.lang.String name)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `setUp()` |
    `static junit.framework.Test` | `suite()` |
    `protected void` | `tearDown()` |
    `void` | `TestSourceOfDoseInformation_AutomatedDataCollection_Abbreviation()` |
    `void` | `TestSourceOfDoseInformation_AutomatedDataCollection_Description()` |
    `void` | `TestSourceOfDoseInformation_AutomatedDataCollection_Equality()` |
    `void` | `TestSourceOfDoseInformation_ComputedFromImageAttributes_Abbreviation()` |
    `void` | `TestSourceOfDoseInformation_ComputedFromImageAttributes_Description()` |
    `void` | `TestSourceOfDoseInformation_ComputedFromImageAttributes_Equality()` |
    `void` | `TestSourceOfDoseInformation_CopiedFromImageAttributes_Abbreviation()` |
    `void` | `TestSourceOfDoseInformation_CopiedFromImageAttributes_Description()` |
    `void` | `TestSourceOfDoseInformation_CopiedFromImageAttributes_Equality()` |
    `void` | `TestSourceOfDoseInformation_DerivedFromHumanReadableReports_Abbreviation()` |
    `void` | `TestSourceOfDoseInformation_DerivedFromHumanReadableReports_Description()` |
    `void` | `TestSourceOfDoseInformation_DerivedFromHumanReadableReports_Equality()` |
    `void` | `TestSourceOfDoseInformation_Dosimeter_Abbreviation()` |
    `void` | `TestSourceOfDoseInformation_Dosimeter_Description()` |
    `void` | `TestSourceOfDoseInformation_Dosimeter_Equality()` |
    `void` | `TestSourceOfDoseInformation_ManualEntry_Abbreviation()` |
    `void` | `TestSourceOfDoseInformation_ManualEntry_Description()` |
    `void` | `TestSourceOfDoseInformation_ManualEntry_Equality()` |
    `void` | `TestSourceOfDoseInformation_ManualEntry_ManualEntry_Inequality()` |
    `void` | `TestSourceOfDoseInformation_MPPSContent_Abbreviation()` |
    `void` | `TestSourceOfDoseInformation_MPPSContent_Description()` |
    `void` | `TestSourceOfDoseInformation_MPPSContent_Equality()` |

    - ### Methods inherited from class junit.framework.TestCase

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TestSourceOfDoseInformation

          public TestSourceOfDoseInformation​(java.lang.String name)

  - ### Method Detail

    - #### suite

          public static junit.framework.Test suite()

    - #### setUp

          protected void setUp()

      Overrides:
        `setUp` in class `junit.framework.TestCase`

    - #### tearDown

          protected void tearDown()

      Overrides:
        `tearDown` in class `junit.framework.TestCase`

    - #### TestSourceOfDoseInformation_AutomatedDataCollection_Description

          public void TestSourceOfDoseInformation_AutomatedDataCollection_Description()

    - #### TestSourceOfDoseInformation_ManualEntry_Description

          public void TestSourceOfDoseInformation_ManualEntry_Description()

    - #### TestSourceOfDoseInformation_MPPSContent_Description

          public void TestSourceOfDoseInformation_MPPSContent_Description()

    - #### TestSourceOfDoseInformation_Dosimeter_Description

          public void TestSourceOfDoseInformation_Dosimeter_Description()

    - #### TestSourceOfDoseInformation_CopiedFromImageAttributes_Description

          public void TestSourceOfDoseInformation_CopiedFromImageAttributes_Description()

    - #### TestSourceOfDoseInformation_ComputedFromImageAttributes_Description

          public void TestSourceOfDoseInformation_ComputedFromImageAttributes_Description()

    - #### TestSourceOfDoseInformation_DerivedFromHumanReadableReports_Description

          public void TestSourceOfDoseInformation_DerivedFromHumanReadableReports_Description()

    - #### TestSourceOfDoseInformation_AutomatedDataCollection_Abbreviation

          public void TestSourceOfDoseInformation_AutomatedDataCollection_Abbreviation()

    - #### TestSourceOfDoseInformation_ManualEntry_Abbreviation

          public void TestSourceOfDoseInformation_ManualEntry_Abbreviation()

    - #### TestSourceOfDoseInformation_MPPSContent_Abbreviation

          public void TestSourceOfDoseInformation_MPPSContent_Abbreviation()

    - #### TestSourceOfDoseInformation_Dosimeter_Abbreviation

          public void TestSourceOfDoseInformation_Dosimeter_Abbreviation()

    - #### TestSourceOfDoseInformation_CopiedFromImageAttributes_Abbreviation

          public void TestSourceOfDoseInformation_CopiedFromImageAttributes_Abbreviation()

    - #### TestSourceOfDoseInformation_ComputedFromImageAttributes_Abbreviation

          public void TestSourceOfDoseInformation_ComputedFromImageAttributes_Abbreviation()

    - #### TestSourceOfDoseInformation_DerivedFromHumanReadableReports_Abbreviation

          public void TestSourceOfDoseInformation_DerivedFromHumanReadableReports_Abbreviation()

    - #### TestSourceOfDoseInformation_AutomatedDataCollection_Equality

          public void TestSourceOfDoseInformation_AutomatedDataCollection_Equality()
                                                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestSourceOfDoseInformation_ManualEntry_Equality

          public void TestSourceOfDoseInformation_ManualEntry_Equality()
                                                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestSourceOfDoseInformation_MPPSContent_Equality

          public void TestSourceOfDoseInformation_MPPSContent_Equality()
                                                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestSourceOfDoseInformation_Dosimeter_Equality

          public void TestSourceOfDoseInformation_Dosimeter_Equality()
                                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestSourceOfDoseInformation_CopiedFromImageAttributes_Equality

          public void TestSourceOfDoseInformation_CopiedFromImageAttributes_Equality()
                                                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestSourceOfDoseInformation_ComputedFromImageAttributes_Equality

          public void TestSourceOfDoseInformation_ComputedFromImageAttributes_Equality()
                                                                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestSourceOfDoseInformation_DerivedFromHumanReadableReports_Equality

          public void TestSourceOfDoseInformation_DerivedFromHumanReadableReports_Equality()
                                                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestSourceOfDoseInformation_ManualEntry_ManualEntry_Inequality

          public void TestSourceOfDoseInformation_ManualEntry_ManualEntry_Inequality()
                                                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`